> # NAME

> BlendFunc - 3D API blend function

> # USAGE

> BlendFunc = float2(srcFactor, dstFactor)

> # VALID ENUMERANTS

> srcFactor, dstFactor: Zero, One, DestColor, OneMinusDestColor, SrcAlpha, OneMinusSrcAlpha, DstAlpha, OneMinusDstAlpha, SrcAlphaSaturate, SrcColor, OneMinusSrcColor, ConstantColor, OneMinusConstantColor, ConstantAlpha, OneMinusConstantAlpha

> # DESCRIPTION

> Set the OpenGL or Direct3D source and destination blend function state. See the OpenGL glBlendFunc manual page for details.

> The standard reset callback sets the BlendFunc state to float2(One, Zero).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.4 or NV_blend_square for SrcColor or OneMinusSrcColor for srcFactor, and DstColor or OneMinusDstColor for dstFactor

> Otherwise OpenGL 1.0.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> BlendFuncSeparate, BlendEnable, BlendEquation, BlendEquationSeparate, BlendColor